Index: gnu/xml/stream/AttributeImpl.java
===================================================================
RCS file: /sources/classpath/classpath/gnu/xml/stream/AttributeImpl.java,v
retrieving revision 1.1
diff -u -r1.1 AttributeImpl.java
--- gnu/xml/stream/AttributeImpl.java	4 Sep 2005 09:52:10 -0000	1.1
+++ gnu/xml/stream/AttributeImpl.java	4 Mar 2008 16:02:43 -0000
@@ -56,11 +56,11 @@
 
   protected final QName name;
   protected final String value;
-  protected final QName type;
+  protected final String type;
   protected final boolean specified;
 
   protected AttributeImpl(Location location,
-                          QName name, String value, QName type,
+                          QName name, String value, String type,
                           boolean specified)
   {
     super(location);
@@ -85,7 +85,7 @@
     return value;
   }
 
-  public QName getDTDType()
+  public String getDTDType()
   {
     return type;
   }
Index: gnu/xml/stream/XMLEventAllocatorImpl.java
===================================================================
RCS file: /sources/classpath/classpath/gnu/xml/stream/XMLEventAllocatorImpl.java,v
retrieving revision 1.3
diff -u -r1.3 XMLEventAllocatorImpl.java
--- gnu/xml/stream/XMLEventAllocatorImpl.java	3 Mar 2006 12:30:59 -0000	1.3
+++ gnu/xml/stream/XMLEventAllocatorImpl.java	4 Mar 2008 16:02:44 -0000
@@ -165,7 +165,7 @@
           attributes.add(new AttributeImpl(location,
                                            reader.getAttributeName(i),
                                            reader.getAttributeValue(i),
-                                           QName.valueOf(reader.getAttributeType(i)),
+                                           reader.getAttributeType(i),
                                            reader.isAttributeSpecified(i)));
         return new StartElementImpl(location,
                                     reader.getName(),
Index: gnu/xml/stream/XMLEventFactoryImpl.java
===================================================================
RCS file: /sources/classpath/classpath/gnu/xml/stream/XMLEventFactoryImpl.java,v
retrieving revision 1.2
diff -u -r1.2 XMLEventFactoryImpl.java
--- gnu/xml/stream/XMLEventFactoryImpl.java	3 Mar 2006 12:30:59 -0000	1.2
+++ gnu/xml/stream/XMLEventFactoryImpl.java	4 Mar 2008 16:02:44 -0000
@@ -79,20 +79,20 @@
   {
     return new AttributeImpl(location,
                              new QName(namespaceURI, localName, prefix),
-                             value, QName.valueOf("CDATA"), true);
+                             value, "CDATA", true);
   }
   
   public Attribute createAttribute(String localName, String value)
   {
     return new AttributeImpl(location,
                              new QName(localName),
-                             value, QName.valueOf("CDATA"), true);
+                             value, "CDATA", true);
   }
 
   public Attribute createAttribute(QName name, String value)
   {
     return new AttributeImpl(location, name, value,
-                             QName.valueOf("CDATA"), true);
+                             "CDATA", true);
   }
 
   public Namespace createNamespace(String namespaceURI)
Index: javax/xml/stream/events/Attribute.java
===================================================================
RCS file: /sources/classpath/classpath/javax/xml/stream/events/Attribute.java,v
retrieving revision 1.2
diff -u -r1.2 Attribute.java
--- javax/xml/stream/events/Attribute.java	4 Sep 2005 09:44:30 -0000	1.2
+++ javax/xml/stream/events/Attribute.java	4 Mar 2008 16:02:48 -0000
@@ -59,7 +59,7 @@
   /**
    * Returns the type of this attribute.
    */
-  QName getDTDType();
+  String getDTDType();
 
   /**
    * Indicates whether this attribute was specified in the input source, or
